Topic: Safari is throwing: SyntaxError: Unexpected token '>' popper.min.js:1

ricard pro asked 5 years ago


Hey, im new using MDB it is working well in firefox and chrome, but safari throws this error SyntaxError: Unexpected token '>' — popper.min.js:1 Error: Bootstrap dropdown require Popper.js (https://popper.js.org) it's just crashing with the downloaded version. Any idea how to fix it?   js files are loaded this way: <!-- JQuery --> <script type="text/javascript" src="js/jquery-3.2.1.min.js"></script> <!-- Bootstrap tooltips --> <script type="text/javascript" src="js/popper.min.js"></script> <!-- Bootstrap core JavaScript --> <script type="text/javascript" src="js/bootstrap.min.js"></script> <!-- MDB core JavaScript --> <script type="text/javascript" src="js/mdb.min.js"></script>    

ricard pro answered 5 years ago


Thx, it works!

Mirosław Stasiak free answered 5 years ago


Hi, Replace  
<script type=”text/javascript” src=”js/popper.min.js”></script>
with  
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.js"></script>
  Regards,

Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Resolved

Specification of the issue

  • User: Pro
  • Premium support: No
  • Technology: General Bootstrap questions
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No
Tags